using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    internal class Program
    {
        
        static void Main(string[] args)
        {
            int N = int.Parse(Console.ReadLine());

            List<int> Pos = Array.ConvertAll(Console.ReadLine().Split(), int.Parse).ToList();
            Pos.Sort();
            
            int Harry = 0;

            // Levo -> Jug
            // Desno -> Sever

            int NajbliziSaLeveStrane = int.MinValue;
            int NajbliziSaLeveStraneIndex = 0;
            int NajbliziSaDesneStrane = int.MaxValue;
            int NajbliziSaDesneStraneIndex = 0;
            // Samo jednom vidiem ko je najblizi i to
            for (int i = 0; i < Pos.Count; i++)
            {
                int CurrentPos = Pos[i];

                if (CurrentPos < Harry)
                {
                    if (NajbliziSaLeveStrane < CurrentPos)
                    {
                        NajbliziSaLeveStrane = CurrentPos;
                        NajbliziSaDesneStraneIndex = i;
                    } 

                } else
                {
                    if (NajbliziSaDesneStrane > CurrentPos)
                    {
                        NajbliziSaDesneStrane = CurrentPos;
                        NajbliziSaDesneStraneIndex = i;
                    }
                }
            }
           
            int PucaLevoCooldown = 0;
            int PucaDesnoCooldown = 0;
            
            string Potezi = "";

            bool simulacijaZivi = true;

            int Eliminacije = 0;
            int BrojPoteza = 0;
            while (simulacijaZivi)
            {
                if (BrojPoteza >= 1000000) break;
                BrojPoteza++;
                
                PucaLevoCooldown--;
                PucaDesnoCooldown--;

                if (NajbliziSaLeveStrane != int.MinValue && Math.Abs(Harry - NajbliziSaLeveStrane) < 2)
                {
                    if (PucaLevoCooldown <= 0)
                    {
                        PucaLevoCooldown = 2;
                        NajbliziSaLeveStrane = int.MinValue;
                        Eliminacije++;
                        Potezi += "2";
                    }
                    else
                    {
                        Harry += 1;
                        Potezi += "3";
                    }
                }
                else if (PucaDesnoCooldown <= 0 && NajbliziSaDesneStrane != int.MaxValue)
                {
                    PucaDesnoCooldown = 2;
                    NajbliziSaDesneStrane = int.MaxValue;
                    Eliminacije++;
                    Potezi += "1";
                }
                else if (PucaLevoCooldown <= 0)
                {
                    PucaLevoCooldown = 2;
                    NajbliziSaLeveStrane = int.MinValue;
                    Eliminacije++;
                    Potezi += "2";
                }
                else
                {
                    Harry += 1;
                    Potezi += "3";
                }

                


                if (NajbliziSaLeveStrane != int.MinValue)
                {
                    if (NajbliziSaLeveStrane + BrojPoteza >= Harry) break;
                }
                else { 
                    if (NajbliziSaLeveStraneIndex - 1 > 0 )
                    {
                        NajbliziSaLeveStraneIndex--;
                        NajbliziSaLeveStrane = Pos[NajbliziSaLeveStraneIndex];
                    }
                }

                if (NajbliziSaDesneStrane != int.MaxValue)
                {
                    if (NajbliziSaDesneStrane - BrojPoteza <= Harry) break;
                }
                else
                {
                    if (NajbliziSaDesneStrane - 1 < N)
                    {
                        NajbliziSaDesneStraneIndex++;
                        NajbliziSaDesneStrane = Pos[NajbliziSaLeveStraneIndex];
                    }
                }

                
                if (NajbliziSaLeveStrane == int.MinValue && NajbliziSaDesneStrane == int.MaxValue) break;
            }

            Console.WriteLine(Eliminacije);
            Console.WriteLine(Potezi);
        }
    }
}